Where Can I Install the Cortex XDR Agent?

You can install the Cortex XDR™ and Traps™ agent on supported physical and virtual endpoints.
The Traps™ agent is now the Cortex XDR™ agent in Cortex XDR agent release 7.0 and later releases. The topics below reflect support for both the new Cortex XDR agent and earlier Traps releases.
Palo Alto Networks strives to support the latest major operating systems. After a new operating system is available, there can be a short delay in our support of the operating system as we test interoperability with the production release.
Until a Cortex XDR agent release reaches its End-of-Life, Palo Alto Networks provides the following support:
  • Microsoft operating systems are supported for three years beyond the end of Microsoft support.
  • Other operating system vendors are supported until they reach end-of-life.
You can install the agent on supported physical and virtual endpoints:

Agent Versions Supported with Cortex XDR

Cortex XDR can communicate with all Traps and Cortex XDR agent releases starting with Traps 5.0. To ensure maximum protection of your endpoints, Palo Alto Networks recommends that you always deploy the latest maintenance release for each agent version.

Mobile Operating Systems Supported with Cortex XDR and Traps

The following table shows the mobile operating systems on which you can install each release of the agent. The Cortex XDR agent can be installed on mobile phones and Google Chromebooks.
Endpoint Operating System
Traps 5.0
Traps 6.1
Cortex XDR 7.0
Cortex XDR 7.1
Android
5
6
7
8
9
10

Endpoint Operating Systems Supported with Cortex XDR and Traps

The following table shows the endpoint operating systems on which you can install each release of the agent. These operating systems are also supported with supported Citrix and VMware virtual applications (see Virtual Applications Supported with Traps™).
Endpoint Operating System
4.2
5.0
6.1
7.0
7.1
7.2
7.3
Linux
(x86 64-bit only)
To take advantage of all agent protection capabilities on Linux endpoints, you must also install a supported kernel module version in Traps 6.1 and later releases:
Amazon Linux 2 LTS Candidate (2017.12)
*4.2.1 & later
*5.0.1 & later
Amazon Linux 2 LTS Candidate 2
*4.2.1 & later
*5.0.1 & later
Amazon Linux AMI 2017.03
Amazon Linux AMI 2017.09
Amazon Linux AMI 2018.03
CentOS 6
CentOS 7
CentOS 8
*7.0.1 and later
Debian 8
*5.0.1 & later
Debian 9
*5.0.1 & later
Debian 10
*7.1.4 & later
*7.2.3 & later
OpenSuse Leap 15.1
Oracle 6
*5.0.1 & later
Oracle 7
*5.0.1 & later
Oracle 8
*7.0.1 and later
Red Hat Enterprise Linux 6
Red Hat Enterprise Linux 7
Red Hat Enterprise Linux 8
*7.0.1 and later
SUSE Linux Enterprise Server 11 SP4
*7.1.1 & later
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server 15 SP0
*7.0.3 and late
SUSE Linux Enterprise Server 15 SP1
*7.0.2 and late
SUSE Linux Enterprise Server 15 SP2
*7.2.3 & later
Ubuntu Server 12
Ubuntu Server 14
Ubuntu Server 16
Ubuntu Server 18
Ubuntu Server 20
Mac
OS X 10.10
OS X 10.11
macOS 10.12
macOS 10.13
macOS 10.14
*5.0.3-h1 & later
macOS 10.15
*10.15.0 & later 10.15 releases are supported by *6.1.2 & later
*10.15.4 & later 10.15 releases are supported by 7.0.2 & later
macOS 11.0
*7.1.2 & later
Windows
Windows 2000 and below
Windows XP (32-bit)
(SP2 & earlier)
Windows XP (32-bit)
(SP3 & later)
Supported until EOL
Supported until March 1, 2022
Windows XP (64 bit)
Windows Vista
(SP1 & later; FIPS mode)
Supported until EOL
Supported until March 1, 2022
Windows 7 RTM
Windows 7 SP1
(all editions except Home)
Supported until January 2023 (Microsoft EOL + 3 years)
Windows Embedded Standard 7
Windows Embedded Standard 7 SP1
Supported until October 2023 (Microsoft EOL + 3 years)
Windows Embedded POSReady 7
(Based on Windows 7 SP1)
Supported until October 2024 (Microsoft EOL + 3 years)
Windows 8.0
Windows 8.1
(and with FIPS mode)
Windows Embedded 8.1 Professional
Windows Embedded POSReady 2009
*5.0.10 & later, according to the installation process detailed here.
Supported until March 1, 2022
Windows 10 Education
*5.0.4 & later
Windows 10 Pro
(CB and CBB)
Windows 10 Enterprise
(CB, CBB, and LTSB)
Windows 10 Fall Creators Update 1709
Windows 10 Update 1803
Windows 10 Update 1809
(Standard, Enterprise, Professional)
*4.2.3 & later
*5.0.4 & later
Windows 10 RS6 Update 1903
(Standard, Enterprise, Professional)
*4.2.5 & later
Windows 10 Update 1909
(Standard, Enterprise, Professional)
*4.2.6 & later
Windows 10 20H2 Update
*6.1.5 & later
*7.1.3 & later
*7.2.1 & later
Windows 10 Update 2004
*6.1.5 & later
Windows 10 Enterprise 2019 LTSC
*4.2.3 & later
*5.0.4 & later
Windows Server 2003
(SP1 & earlier)
Windows Server 2003 (32-bit)
(SP2 & later)
Supported until March 1, 2022
Windows Server 2003 (64-bit)
Windows Server 2003 R2 (32-bit)
(SP2 & later)
Supported until March 1, 2022
Windows Server 2003 R2 (64 bit)
Windows Server 2008
(All editions; FIPS mode)
Supported until Traps 5.0 end-of-life
Windows Server 2008 R2 SP1
Supported until January 2023 (Microsoft EOL + 3 years)
Supported until January 2023 (Microsoft EOL + 3 years)
Supported until January 2023 (Microsoft EOL + 3 years)
Supported until January 2023 (Microsoft EOL + 3 years)
Supported until January 2023 (Microsoft EOL + 3 years)
Windows Server 2012
(All editions; FIPS mode)
Windows Server 2012 R2
(All editions; FIPS mode)
Windows Server 2016
(Standard edition; Server with Desktop Experience - previously known as Server with a GUI)
Windows Server 2016 Datacenter edition
*5.0.4 & later
Windows Server 2019
Windows Server Core option
(Windows Server 2012, 2012 R2, and 2016 only)
Windows Server 2019 Standard (Server Core)
*7.2.1 & later

Virtual Applications Supported with Cortex XDR and Traps

The following table shows the supported software vendors you can use to deploy virtual applications and the minimum software version supported with each release of the agent.
Product
Traps 4.2
Traps 5.0
Traps 6.1
Cortex XDR 7.0
Cortex XDR 7.1
Cortex XDR 7.2
Cortex XDR 7.3
Citrix
Citrix Virtual Apps and Desktops
(previously XenApp and XenDesktop)
7.6 and 7.15
7.15 & later
7.13 & later
7.13 & later
7.13 & later
7.13 & later
7.13 & later
Citrix App Layering
(supports Traps/Cortex XDR installed on the OS layer)
4
4 & later
4 & later
*6.1.4 & later according to the installation process detailed here here
4 & later
*According to the installation process detailed here here
4 & later
*According to the installation process detailed here here
4 & later
*According to the installation process detailed here here
4 & later
*According to the installation process detailed here here
VMware
VMware AppVolumes
2.13.1
2.13.1 & later
2.13.1 & later
*According to the installation process detailed here
2.13.1 & later
*According to the installation process detailed here
2.13.1 & later
*According to the installation process detailed here
2.13.1 & later
*According to the installation process detailed here
2.13.1 & later
*According to the installation process detailed here
VMware Horizon View
7.1 & later
7.1 & later
7.1 & later
7.8 & later
7.8 & later
7.8 & later
7.8 & later
VMware ThinApp
5.2.2
5.2.2 & later
5.2.2 & later
5.2.2 & later
5.2.2 & later
5.2.2 & later
5.2.2 & later
Windows
Windows Virtual PC

Recommended For You